package com.zd.laboratory.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.zd.common.core.web.domain.BaseEntity;

import java.util.Date;

/**
 * 轮播图对象 lab_rotation_chart
 *
 * @author zd
 * @date 2021-12-28
 */
@ApiModel("轮播图")
public class LabRotationChart extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /** 图片名称 */
    @Excel(name = "图片名称")
    @ApiModelProperty(value = "图片名称")
    private String imgName;
    /** 图片地址 */
    @Excel(name = "图片地址")
    @ApiModelProperty(value = "图片地址")
    private String imgUrl;
    public void setId(Long id)
    {
        this.id = id;
    }

    @ApiModelProperty(value = "轮播图状态：1.打开，2是关闭")
    private Integer imgType;

    @ApiModelProperty(value = "范围为必填，选择内容为院系或全校(-1全校)")
    private Long imgRange;

    @ApiModelProperty(value = "排序")
    private Integer imgOrder;

    @ApiModelProperty(value = "1是轮播图，2是文化图")
    private Integer imgCategory;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "有效期开始时间")
    private Date validBeginTime;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "有效期结束时间")
    private Date validEndTime;

    @ApiModelProperty(value = "范围为必填，选择内容为院系或全校")
    private String imgRangeName;

    @ApiModelProperty(value = "选项卡；1是展示中，2是待展示，3是已过期")
    private Integer tagCard;

    private String validTimeStr;

    private String searchValue;

    public Long getId()
    {
        return id;
    }
    public void setImgName(String imgName)
    {
        this.imgName = imgName;
    }

    public String getImgName()
    {
        return imgName;
    }
    public void setImgUrl(String imgUrl)
    {
        this.imgUrl = imgUrl;
    }

    public String getImgUrl()
    {
        return imgUrl;
    }

    public Integer getImgType() {
        return imgType;
    }

    public void setImgType(Integer imgType) {
        this.imgType = imgType;
    }

    public Long getImgRange() {
        return imgRange;
    }

    public void setImgRange(Long imgRange) {
        this.imgRange = imgRange;
    }

    public Integer getImgOrder() {
        return imgOrder;
    }

    public void setImgOrder(Integer imgOrder) {
        this.imgOrder = imgOrder;
    }

    public Date getValidBeginTime() {
        return validBeginTime;
    }

    public void setValidBeginTime(Date validBeginTime) {
        this.validBeginTime = validBeginTime;
    }

    public Date getValidEndTime() {
        return validEndTime;
    }

    public void setValidEndTime(Date validEndTime) {
        this.validEndTime = validEndTime;
    }

    public String getImgRangeName() {
        return imgRangeName;
    }

    public void setImgRangeName(String imgRangeName) {
        this.imgRangeName = imgRangeName;
    }

    public Integer getTagCard() {
        return tagCard;
    }

    public void setTagCard(Integer tagCard) {
        this.tagCard = tagCard;
    }

    public String getValidTimeStr() {
        return validTimeStr;
    }

    public void setValidTimeStr(String validTimeStr) {
        this.validTimeStr = validTimeStr;
    }

    @Override
    public String getSearchValue() {
        return searchValue;
    }

    @Override
    public void setSearchValue(String searchValue) {
        this.searchValue = searchValue;
    }

    public Integer getImgCategory() {
        return imgCategory;
    }

    public void setImgCategory(Integer imgCategory) {
        this.imgCategory = imgCategory;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("imgName", getImgName())
            .append("imgUrl", getImgUrl())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .toString();
    }
}
